import { fileURLToPath, URL } from 'node:url'
import { defineConfig } from 'vite'
import Components from '@uni-helper/vite-plugin-uni-components'
import Uni from '@uni-helper/plugin-uni'
import { WotResolver } from './src/resolvers/wot-ui-resolver'

export default defineConfig({
  resolve: {
    alias: {
      '@': fileURLToPath(new URL('./src', import.meta.url)),
    },
  },
  css: {
    preprocessorOptions: {
      scss: {
        silenceDeprecations: ['legacy-js-api', 'import'],
      },
    },
  },
  plugins: [
    Components({
      dts: true,
      resolvers: [WotResolver()],
    }),
    Uni(),
  ],
})
